# Install tools for detected raid controllers.
#
class raid::tools {

    if $::raid {
        $controllers = split($::raid, ',')

        if "smartarray" in $controllers {
            include raid::tools::smartarray
        }
    }

}


# Install HP SmartArray tools.
#
class raid::tools::smartarray {

    case $::operatingsystem {
        "centos","redhat": {
            include yum::repo::hpspp
            package { "hpacucli":
                ensure  => installed,
                require => Yum::Repo["hpspp"],
            }
        }
        default: {
            fail("raid::tools::smartarray not supported in ${::operatingsystem}")
        }
    }

}
